Драйвера из FreeBSD 8.4



  • Добрый день!
    Купил на днях ASUS PCI-N10, а pfSense  её не видит, начал рыть инет, много чего нашёл, но так ничего и не смог сделать, то тут ошибка то там, а я во фрюхе полный ноль, ЛЮДИ помогите, пошагово расскажите, как из FreeBSD 8.4 перенести драйвера в pfSense 2.1

    могу добавить, что kldload if_ral.ko (if_ral.ko взял из FreeBSD 8.4) не даёт результатов выдаёт kldload: can't load if_ral.ko: No such file or directory





  • @werter:

    http://forum.pfsense.org/index.php/topic,66025.0.html

    https://www.google.com.ua/search?client=opera&q=compile+driver+pfsense&sourceid=opera&ie=utf-8&oe=utf-8&channel=suggest

    ИИИИИИИИИИИ?! читал, и та и другая ссылка ответа НЕ даёт!

    kldload if_ral.ko (if_ral.ko взял из FreeBSD 8.4) не даёт результатов выдаёт!

    Из предложенных ссылок напрашивается вывод что если взять if_ral.ko из 8.4 выполнил команду kldload if_ral.ko и kldstat, pciconf -vl покажут что модуль if_ral.ko загрузился и девайс получит драйвера. НО!!! НЕ ГРУЗИТ!

    и ещё, если бы я шпрэхал на инглише то зачем бы я писал в форуме на русском?



  • Купил на днях ASUS PCI-N10

    А что мешало сперва глянуть HCL FreeBSD 8.4 ? Несите ее обратно туда где купили. И покупайте совместимое оборудование.



  • @werter:

    Купил на днях ASUS PCI-N10

    А что мешало сперва глянуть HCL FreeBSD 8.4 ? Несите ее обратно туда где купили. И покупайте совместимое оборудование.

    если не в силах помочь то и умника не стоит строить из себя
    и ещё! как раз таки в FreeBSD 8.4 она поддерживается, определяется и работает!



  • Помогал многим на этом форуме и мне помогали.
    Да и тебе только я тут отвечал , если ты не заметил.

    Будь здоров, умник ты наш.

    P.s.

    и ещё, если бы я шпрэхал на инглише то зачем бы я писал в форуме на русском?

    Учи. Пригодится.

    P.s.s. У тебя там по сведениям wikidevi - Ralink RT-3060 (http://wikidevi.com/wiki/ASUS_PCI-N10)

    В 8.4 официально не поддерживается - http://www.freebsd.org/cgi/man.cgi?query=ral&apropos=0&sektion=0&manpath=FreeBSD+8.4-RELEASE&arch=default&format=html

    Вроде как есть в 9.х (неофициально?) - http://svn.freebsd.org/base/releng/9.0/share/misc/pci_vendors . Но только для d-link DWA-525 Wireless N 150 Desktop Adapter (rev.A1), а PID твоей карты мне не известен.

    Официально даже в 9.2 (!) чипсет Ralink RT-3060 не поддерживается - http://www.freebsd.org/cgi/man.cgi?query=ral&sektion=4&n=1

    Мой тебе совет - верни ее пока можно.



  • @werter:

    Помогал многим на этом форуме и мне помогали.
    Да и тебе только я тут отвечал , если ты не заметил.

    Будь здоров, умник ты наш.

    P.s.

    и ещё, если бы я шпрэхал на инглише то зачем бы я писал в форуме на русском?

    Учи. Пригодится.

    я конечно извиняюсь, но когда у нас стало считаться помощью кидание ссылки?
    я же написал что инет я пробороздил, и ничего дельного там не нашёл.
    в итоге взял дрова из FreeBSD 8.4, там сетевуха работает.

    P.S. ссылки слать это не помощь, это копипаст бездумный. будь добр и умён, не заходи больше в пост раз помочь е можешь.



  • 2 xLeANx  Ваша проблема решена или нет?



  • @dvserg:

    2 xLeANx  Ваша проблема решена или нет?

    Добрый день!

    нет, по ссылкам уже ходил раньше, ничего не выходит.

    искал дрова в FreeBSD 8.3, в ней их нет, а FreeBSD 8.4 есть

    по инструкциям, что в инете при kldload всё должно быть по маслу, о увы



  • @werter:

    Помогал многим на этом форуме и мне помогали.
    Да и тебе только я тут отвечал , если ты не заметил.

    Будь здоров, умник ты наш.

    P.s.

    и ещё, если бы я шпрэхал на инглише то зачем бы я писал в форуме на русском?

    Учи. Пригодится.

    P.s.s. У тебя там по сведениям wikidevi - Ralink RT-3060 (http://wikidevi.com/wiki/ASUS_PCI-N10)

    В 8.4 официально не поддерживается - http://www.freebsd.org/cgi/man.cgi?query=ral&apropos=0&sektion=0&manpath=FreeBSD+8.4-RELEASE&arch=default&format=html

    Вроде как есть в 9.х (неофициально?) - http://svn.freebsd.org/base/releng/9.0/share/misc/pci_vendors . Но только для d-link DWA-525 Wireless N 150 Desktop Adapter (rev.A1), а PID твоей карты мне не известен.

    Официально даже в 9.2 (!) чипсет Ralink RT-3060 не поддерживается - http://www.freebsd.org/cgi/man.cgi?query=ral&sektion=4&n=1

    Мой тебе совет - верни ее пока можно.

    ВАХ!!! спасибо за диалог!!!

    возможно и  Ralink RT-3060 НО!

    на диске с дровами есть дрова для XP, и там RT2860

    пробовал ndisgen, но на 8.3 что то как то не вышло, а от 8.4 не подходят

    а на pfSense так и не вышло

    да кстати разница по набору драйверов между 8.3 и 8.4 в рамках моей сетевой наличия драйверов в 8.4 rt2860fw.ko в 8.3 этого файла нет, в связи с чем 8.3 не видит мою сетевуху (ставил на комп FreeBSD 8.3) а 8.4 видит но kldload rt2860fw.ko тоже не даёт результата и тоже выдаёт ошибку что файл не существует



  • @xLeANx:

    Купил на днях ASUS PCI-N10, а pfSense  её не видит, … а я во фрюхе полный ноль, ЛЮДИ помогите, пошагово расскажите, как из FreeBSD 8.4 перенести драйвера в pfSense 2.1
    могу добавить, что kldload if_ral.ko (if_ral.ko взял из FreeBSD 8.4) не даёт результатов выдаёт, что файла нет или что-то в этом роде

    По видимому вы самостоятельно не в состоянии справится с поставленной задачей.
    Вы можете:

    • использовать другое совместимое с данной версией оборудование,
    • либо подождать выхода следующей версии pfSense с новым ядром,
    • либо попросить более опытных помочь Вам в вашей нелегкой ситуации.

    Upd:
    Руководство по FreeBSD http://citforum.ru/operating_systems/freebsd/handbook/config-network-setup.shtml



  • @dvserg:

    По видимому вы самостоятельно не в состоянии справится с поставленной задачей.
    Вы можете:

    • использовать другое совместимое с данной версией оборудование,
    • либо подождать выхода следующей версии pfSense с новым ядром,
    • либо попросить более опытных помочь Вам в вашей нелегкой ситуации.

    я знаю что самостоятельно не могу, поэтому и спрашиваю тут!

    • использовать другое совместимое с данной версией оборудование. - уж извините что я посмел купить сетевуху поддерживаемую в FreeBSD 8.4, а pfSense на ядре FreeBSD 8.3 и я никак не предугадал, что такая большая разница в дистрибах
    • либо подождать выхода следующей версии pfSense с новым ядром - два года?
    • либо попросить более опытных помочь Вам в вашей нелегкой ситуации - с самого первого поста прошу

    dvserg, а чего мне должна была дать ваша ссылка?



  • @xLeANx:

    я знаю что самостоятельно не могу, поэтому и спрашиваю тут!

    • использовать другое совместимое с данной версией оборудование. - уж извините что я посмел купить сетевуху поддерживаемую в FreeBSD 8.4, а pfSense на ядре FreeBSD 8.3 и я никак не предугадал, что такая большая разница в дистрибах
    • либо подождать выхода следующей версии pfSense с новым ядром - два года?
    • либо попросить более опытных помочь Вам в вашей нелегкой ситуации - с самого первого поста прошу

    dvserg, а чего мне должна была дать ваша ссылка?

    Ссылка дана была для ознакомительного чтения о драйверах FreeBSD. В частности п.11.8.1
    "Для использования сетевой карты потребуется загрузить подходящий драйвер. Это можно сделать двумя способами. Самый простой способ это загрузка модуля ядра для сетевой карты с помощью kldload(8). … В качестве альтернативы, вы можете статически добавить поддержку сетевой карты в ядро. "

    Очевидно, что ни через kldload, ни тем более пересборку ядра своими силами вы сделать не сможете даже с пошаговой инструкцией, так как много вариаций и ньюансов (+ знание английского). Эти задачи не являются профильными для форума pfSense, и Вам скорее всего потребуется помощь специалистов с одного из форумов по FreeBSD. Возможно даже помощь типа "сделать вместо Вас".
    Поэтому я и предложил вам на выбор варианты решения выбрать другое оборудование, если хотите запустить систему быстрее; подождать следующей версии, если Вам дОрого купленное оборудование и Вы хотите использовать только его; попросить помощь специалистов, и скорее всего не бесплатно.



  • снова поставил pfSense, ощибка kldload: can't load if_ral.ko: No such file or directory